## com.google.appengine.api.appidentity
Class PublicCertificate

    java.lang.Object
      com.google.appengine.api.appidentity.PublicCertificate

All Implemented Interfaces:
  java.io.Serializable

    public final class PublicCertificate

extends java.lang.Object
implements java.io.Serializable

`PublicCertificate` contains an x509 public certificate in PEM format and a string which is used to identify this certificate.

See Also:
  RFC 5280 for the specification of x509 certificates., Serialized Form

Constructor Summary
`PublicCertificate(java.lang.String certficiateName, java.lang.String x509CertificateInPemFormat)`

Method Summary
`java.lang.String` `getCertificateName()`
`java.lang.String` `getX509CertificateInPemFormat()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicCertificate

    public PublicCertificate(java.lang.String certficiateName,
                             java.lang.String x509CertificateInPemFormat)

Parameters:
  `certficiateName` - name of the certificate.
  `x509CertificateInPemFormat` - x509 certificate in pem format.

Method Detail

### getCertificateName

    public java.lang.String getCertificateName()

### getX509CertificateInPemFormat

    public java.lang.String getX509CertificateInPemFormat()